CSFML
Functions
Sleep.h File Reference
`#include <SFML/System/Export.h>`
`#include <SFML/System/Time.h>`

Go to the source code of this file.

## Functions

CSFML_SYSTEM_API void | sfSleep (sfTime duration)
| Make the current thread sleep for a given duration. More...

## Function Documentation

## ◆ sfSleep()

CSFML_SYSTEM_API void sfSleep | ( | sfTime | duration | ) |

Make the current thread sleep for a given duration.

sfSleep is the best way to block a program or one of its threads, as it doesn't consume any CPU power.

Parameters

  duration | Time to sleep